unit maus;

interface

uses dos;

procedure mouseinit;
procedure mouseshow;
procedure mousehide;
procedure mousestatus;
procedure getmousestatus;
procedure setmouse(a,b:integer);
procedure mouserange(anfx,anfy,endx,endy:integer);
function  mousein(x1,y1,x2,y2:integer):boolean;

var mouse                                       :registers;
    mousex,mousey,button                        :integer;

implementation

procedure mouseinit;
begin
  mouse.ax:=0;
  intr($33,mouse);
end;

procedure mouseshow;
begin
  mouse.ax:=1;
  intr($33,mouse);
end;

procedure mousehide;
begin
  mouse.ax:=2;
  intr($33,mouse);
end;

procedure mousestatus;
begin
  mouse.ax:=3;
  intr($33,mouse);
end;

procedure getmousestatus;
begin
  if mouse.ax=3 then begin
    intr($33,mouse);
    mousex:=mouse.cx;
    mousey:=mouse.dx;
    button:=mouse.bx;
  end;
end;

procedure setmouse(a,b:integer);

begin
  mouse.ax:=4;
  intr($33,mouse);
  mouse.cx:=a;
  mouse.dx:=b;
  intr($33,mouse);
end;

procedure mouserange(anfx,anfy,endx,endy:integer);

begin
  mouse.ax:=7;
  intr($33,mouse);
  mouse.cx:=anfx;
  mouse.dx:=endx;
  intr($33,mouse);
  mouse.ax:=8;
  intr($33,mouse);
  mouse.cx:=anfy;
  mouse.dx:=endy;
  intr($33,mouse);
end;

function mousein(x1,y1,x2,y2:integer):boolean;

begin
  if (mousex>=x1) and (mousex<=x2) and (mousey>=y1) and (mousey<=y2) then
  mousein:=true;
end;

end.